<?php
// baja.php
// Incluimos el archivo de conexión a la base de datos
include 'db.php';

// Verificamos si se ha pasado un ID a través de la URL
if (isset($_GET['id'])) {
    // Recogemos el ID del registro a eliminar
    $id = $_GET['id'];

    // Preparamos la consulta SQL para eliminar el registro con el ID dado
    $sql = "DELETE FROM items WHERE id = $id";

    // Ejecutamos la consulta y verificamos si se realizó correctamente
    if ($conn->query($sql) === TRUE) {
        // Si la eliminación es exitosa, redirigimos a la página de listado después de 2 segundos
        header("Refresh: 2; url=listado.php");
        $message = "Registro eliminado exitosamente";
    } else {
        // Si ocurre un error, lo almacenamos en la variable $message
        $message = "Error: " . $sql . "<br>" . $conn->error;
    }

    // Cerramos la conexión a la base de datos
    $conn->close();
} else {
    // Si no se ha pasado un ID, mostramos un mensaje de error
    $message = "ID no especificado";
}
?>

<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <title>Eliminar Registro</title>
    <style>
        /* Estilos para la página */
        body {
            font-family: Arial, sans-serif; /* Fuente para el texto */
            margin: 20px; /* Margen alrededor de la página */
            background-color: #f4f4f4; /* Color de fondo de la página */
        }
        .container {
            max-width: 600px; /* Ancho máximo del contenedor */
            margin: auto; /* Centra el contenedor horizontalmente */
            padding: 20px; /* Relleno dentro del contenedor */
            background: #fff; /* Color de fondo del contenedor */
            border-radius: 8px; /* Bordes redondeados del contenedor */
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); /* Sombra alrededor del contenedor */
        }
        h1 {
            color: #333; /* Color del texto del encabezado */
        }
        .message {
            font-size: 18px; /* Tamaño de fuente para el mensaje */
            margin-bottom: 20px; /* Margen inferior para el mensaje */
            color: #007BFF; /* Color del texto del mensaje */
        }
        .back-link {
            display: block; /* Hace que el enlace sea un bloque para centrarlo */
            text-align: center; /* Centra el texto del enlace */
            margin-top: 20px; /* Margen superior para el enlace */
            font-size: 16px; /* Tamaño de fuente del enlace */
        }
    </style>
</head>
<body>
    <div class="container">
        <h1>Eliminar Registro</h1>
        <!-- Muestra el mensaje si existe -->
        <?php if (isset($message)): ?>
            <p class="message"><?php echo $message; ?></p>
        <?php endif; ?>
        <a href="listado.php" class="back-link">Volver al Listado</a>
    </div>
</body>
</html>
