<?php
// modificar.php
// Incluimos el archivo de conexión a la base de datos
include 'db.php';

// Verificamos si se ha enviado el formulario mediante el método POST
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Recogemos los datos del formulario y los asignamos a variables
    $id = $_POST['id'];
    $nombre = $_POST['nombre'];
    $descripcion = $_POST['descripcion'];

    // Preparamos la consulta SQL para actualizar el registro con el ID dado
    $sql = "UPDATE items SET nombre='$nombre', descripcion='$descripcion' WHERE id=$id";

    // Ejecutamos la consulta y verificamos si se realizó correctamente
    if ($conn->query($sql) === TRUE) {
        // Si la actualización es exitosa, redirigimos a la página de listado después de 2 segundos
        header("Refresh: 2; url=listado.php");
        $message = "Registro actualizado exitosamente";
    } else {
        // Si ocurre un error, lo almacenamos en la variable $message
        $message = "Error: " . $sql . "<br>" . $conn->error;
    }

    // Cerramos la conexión a la base de datos
    $conn->close();
} else {
    // Si no se ha pasado un ID, mostramos un mensaje de error
    if (isset($_GET['id'])) {
        // Recogemos el ID de la URL
        $id = $_GET['id'];

        // Preparamos la consulta SQL para obtener los datos del registro con el ID dado
        $sql = "SELECT * FROM items WHERE id = $id";
        $result = $conn->query($sql);

        // Verificamos si se encontró el registro
        if ($result->num_rows > 0) {
            // Si se encontró el registro, lo almacenamos en una variable
            $row = $result->fetch_assoc();
            $nombre = $row['nombre'];
            $descripcion = $row['descripcion'];
        } else {
            $message = "Registro no encontrado";
        }
    } else {
        $message = "ID no especificado";
    }
}
?>

<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <title>Modificar Registro</title>
    <style>
        /* Estilos para la página */
        body {
            font-family: Arial, sans-serif; /* Fuente para el texto */
            margin: 20px; /* Margen alrededor de la página */
            background-color: #f4f4f4; /* Color de fondo de la página */
        }
        .container {
            max-width: 600px; /* Ancho máximo del contenedor */
            margin: auto; /* Centra el contenedor horizontalmente */
            padding: 20px; /* Relleno dentro del contenedor */
            background: #fff; /* Color de fondo del contenedor */
            border-radius: 8px; /* Bordes redondeados del contenedor */
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.1); /* Sombra alrededor del contenedor */
        }
        h1 {
            color: #333; /* Color del texto del encabezado */
        }
        form {
            display: flex; /* Usamos flexbox para el diseño del formulario */
            flex-direction: column; /* Coloca los elementos del formulario en columna */
        }
        label {
            margin-bottom: 5px; /* Margen inferior de las etiquetas */
            font-weight: bold; /* Texto en negrita para las etiquetas */
        }
        input[type="text"], textarea {
            margin-bottom: 10px; /* Margen inferior para los campos de entrada */
            padding: 10px; /* Relleno dentro de los campos de entrada */
            border: 1px solid #ddd; /* Borde de los campos de entrada */
            border-radius: 4px; /* Bordes redondeados de los campos de entrada */
            font-size: 16px; /* Tamaño de fuente para los campos de entrada */
        }
        input[type="submit"] {
            background-color: #007BFF; /* Color de fondo del botón de envío */
            color: #fff; /* Color del texto del botón de envío */
            border: none; /* Sin borde en el botón de envío */
            padding: 10px; /* Relleno dentro del botón de envío */
            border-radius: 4px; /* Bordes redondeados del botón de envío */
            cursor: pointer; /* Cursor en forma de mano al pasar sobre el botón */
            font-size: 16px; /* Tamaño de fuente del botón de envío */
        }
        input[type="submit"]:hover {
            background-color: #0056b3; /* Color de fondo del botón al pasar el ratón */
        }
        .message {
            font-size: 18px; /* Tamaño de fuente para el mensaje */
            margin-bottom: 20px; /* Margen inferior para el mensaje */
            color: #007BFF; /* Color del texto del mensaje */
        }
        .back-link {
            display: block; /* Hace que el enlace sea un bloque para centrarlo */
            text-align: center; /* Centra el texto del enlace */
            margin-top: 20px; /* Margen superior para el enlace */
            font-size: 16px; /* Tamaño de fuente del enlace */
        }
    </style>
</head>
<body>
    <div class="container">
        <h1>Modificar Registro</h1>
        <!-- Muestra el mensaje si existe -->
        <?php if (isset($message)): ?>
            <p class="message"><?php echo $message; ?></p>
        <?php endif; ?>
        <!-- Formulario para modificar un registro existente -->
        <form method="post" action="modificar.php">
            <input type="hidden" name="id" value="<?php echo $id; ?>">
            <label for="nombre">Nombre:</label>
            <input type="text" id="nombre" name="nombre" value="<?php echo isset($nombre) ? htmlspecialchars($nombre) : ''; ?>" required><br>
            <label for="descripcion">Descripción:</label>
            <textarea id="descripcion" name="descripcion" rows="4" cols="50" required><?php echo isset($descripcion) ? htmlspecialchars($descripcion) : ''; ?></textarea><br>
            <input type="submit" value="Actualizar">
        </form>
        <a href="listado.php" class="back-link">Volver al Listado</a>
    </div>
</body>
</html>